#
# spec file for package python-djangosanetesting
#
# Copyright (c) 2012 Nick Coghlan.
#

%define mod_name djangosanetesting

Name:           python-%{mod_name}
Version:        0.5.11
Release:        1%{?dist}
Url:            http://devel.almad.net/trac/django-sane-testing/
Summary:        Integrate Django with nose, Selenium, Twill and more.
License:        LGPL
Group:          Development/Libraries
Source0:        %{mod_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  Django >= 1.1
Requires:       Django >= 1.1
BuildRequires:  python-nose >= 0.10
Requires:       python-nose >= 0.10

%description
django-sane-testing integrates Django with Nose testing framework. Goal is to provide nose goodies to Django testing and to support feasible integration or functional testing of Django applications, for example by providing more control over transaction/database handling.

Thus, there is a way to start HTTP server for non-WSGI testing - like using Selenium or Windmill.

Selenium has also been made super easy - just start --with-selenium, inherit from SeleniumTestCase and use self.selenium.

Package is documented - see docs/ or http://readthedocs.org/projects/Almad/django-sane-testing/docs/index.html .

%prep
%setup -q -n %{mod_name}-%{version}

%build
%{__python} setup.py build

%install
export CFLAGS="%{optflags}"
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}
# Remove egg info
rm -rf %{buildroot}/%{python_sitelib}/%{mod_name}*.egg-info

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# You may have to add additional files here (documentation and binaries mostly)
%{python_sitelib}/%{mod_name}

%changelog
* Fri Jan 27 2012 Nick Coghlan <ncoghlan@redhat.com> 0.5.11-1
- Package PyPI dependency for PulpDist
